// p3 -- petovn konstruktor, metody definovan mimo popis tdy

#include <iostream>
#include <cstdlib>

using namespace std;

void error(const char *msg) {           // hlen chyb
  cerr << "Chyba: " << msg << endl;
  exit(1);
}

class Interval_1_10 {
  int n;
 public:
  Interval_1_10() { n = 1; }            // implicitn konstruktor 
  Interval_1_10(int n);                 // peten konstruktoru
  void SetValue(int x);
  int GetValue() { return n; }
  void Print();                         // tisk
};

// nsleduj definice metod, kter nejsou inline
Interval_1_10::Interval_1_10(int n) {   // konstruktor
  SetValue(n);
}

void Interval_1_10::SetValue(int x) {   // nastaven hodnoty
  if(x<1 || x>10) error("Mimo rozsah");
  n = x;
}

void Interval_1_10::Print() {           // tisk hodnoty
  cout << n << endl;
}

int main() {                 // testy ...
  Interval_1_10 x;           // implicitn konstruktor
  Interval_1_10 y(5);        // konstruktor s parametrem int
  Interval_1_10 z=10;        // konstruktor s parametrem int

  x.Print();                 // tiskne 1
  y.Print();                 // tiskne 5
  z.Print();                 // tiskne 10

  x.SetValue(y.GetValue());  // ekvivalentn x = y;
  x.Print();                 // tiskne 5

}

