/* pocetrs.c
 * Jazyk C -- potn dk a slov 
 */

#include <stdio.h>
#include <ctype.h>

#define TRUE   1
#define FALSE  0

long pocet_znaku = 0;
long pocet_radku = 0;
long pocet_slov = 0;
long znaku_ve_slovech = 0;

#define  ZNAK_SLOVA(c)  (!isspace(c))

/*
 *  main - program pot dky a slova ve stdin
 */
int main()
{
    int c;
    int je_slovo = FALSE;       /* stav automatu */

    while ((c = getchar()) != EOF) {
        pocet_znaku++;
        if (c == '\n')
            pocet_radku++;
        switch (je_slovo) {     /* automat */
        case FALSE:
            if (ZNAK_SLOVA(c)) {
                pocet_slov++;
                je_slovo = TRUE;
            }
            break;
        case TRUE:
            znaku_ve_slovech++;
            if (!ZNAK_SLOVA(c)) {
                je_slovo = FALSE;
            }
            break;
        } /* switch */
    } /* while */

    printf("Poet slov : %ld\n", pocet_slov);
    printf("Poet dk: %ld\n", pocet_radku);
    if (pocet_slov > 0)
        printf("Prmrn poet znak ve slov: %5.1f\n",
               (double) znaku_ve_slovech / pocet_slov);
    if (pocet_radku > 0)
        printf("Prmrn poet znak na dku: %5.1f\n",
               (double) pocet_znaku / pocet_radku - 1);
    return 0;
}

/* konec */
