// svector.cc -- jednoduch ablona Vector

#include <iostream>
using namespace std;

// ablona - tda Vector
template<class T>
class Vector  {                 // definice tdy
  unsigned sz;
  T *data;
  static T err; // vrac operator[] pi chyb indexu
 public:
  Vector(unsigned size = 10);
  ~Vector() { delete [] data; }
  T& operator[] (unsigned i) { 
    if(i<sz) return data[i];
    else     return err; // lep je hlsit chybu
  }
};

// definice statickho lenu ablony
template<class T>
T Vector<T>::err; 

// definice konstruktoru ablony
template<class T>
Vector<T>::Vector(unsigned size) : sz(size) { 
  data = new T[size]; // v ppad chyby dojde k vjimce bad_alloc
}

int main() { // test...
  Vector<int>  x(5);  // generuje vektor int[5]
  for(int i = 0; i<5; i++)
    x[i] = i;
  for(int i = 0; i<5; i++) // star pekladae budou mt problm s int i
    cout << x[i] << ' ';
  cout << endl;
  return 0;
}

// vstup bude: 0 1 2 3 4

